Index: npl/internetserver/libreswan/libreswan.SlackBuild
===================================================================
--- npl/internetserver/libreswan/libreswan.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/libreswan/libreswan.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -10,11 +10,7 @@
 #DEP:Linux_PAM
 
-#voor dnssec (moet openssl 1.1.x)
-##DEP:ldns
-##DEP:openssl
-
 KVER=`uname -r` || exit 1
 NAME=libreswan
-VERSION=4.6
+VERSION=3.18
 CWD=`pwd`
 TMP="/tmp"
@@ -37,15 +33,12 @@
 #make KERNELSRC=/usr/src/linux INC_USRLOCAL=/usr module || exit 1
 
-#make USE_NSS_IPSEC_PROFILE=false USE_NSS_KDF=false USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false PREFIX=/usr USE_XFRM_INTERFACE_IFLA_HEADER=false programs || exit 1
-#make USE_NSS_IPSEC_PROFILE=false USE_NSS_KDF=false USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false PREFIX=/usr USE_XFRM_INTERFACE_IFLA_HEADER=false DESTDIR=$PKGTMP install || exit 1
-make USE_NSS_KDF=false USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false PREFIX=/usr USE_XFRM_INTERFACE_IFLA_HEADER=false programs || exit 1
-make USE_NSS_KDF=false USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false PREFIX=/usr USE_XFRM_INTERFACE_IFLA_HEADER=false DESTDIR=$PKGTMP install || exit 1
+make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
+make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
+#make programs || exit 1
+#make DESTDIR=$PKGTMP install || exit 1
 
 #config nu in libreswan_conf
 rm -rf $PKGTMP/etc
 rm $PKGTMP/ipsec.service
-
-#restart script
-cp -r $CWD/root/* $PKGTMP
 
 
Index: npl/internetserver/libreswan/libreswan.build
===================================================================
--- npl/internetserver/libreswan/libreswan.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6548
Index: npl/internetserver/libreswan/libreswan.depver
===================================================================
--- npl/internetserver/libreswan/libreswan.depver	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/libreswan/libreswan.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -3,5 +3,5 @@
 unbound	0
 libcap_ng	0
-curl	0
+curl	1
 libevent	0
 sqlite	2
Index: npl/internetserver/libreswan/libreswan.md5
===================================================================
--- npl/internetserver/libreswan/libreswan.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/libreswan/libreswan.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,6 +1,5 @@
-3c6f2ab474534ead7abec57c9484ea75  ./libreswan-4.6.tar.gz
-73cdbb07b851e8a48af2aad691ec19b7  ./libreswan-4.7.tar.gz
-038d8f1de4989d75dc5affccfeb8e218  ./libreswan.pkg
-b2c0bb95d46f454bf922ec0a57ca0769  ./libreswan.SlackBuild
-0a6ab7e6d20e633fcc78a61ccd84330d  ./libreswan.SlackBuild.log.gz
-a2653f1a3d3f8b575bba71eab3f264ca  ./root/etc/postinst.d/post.libreswan_binary
+600c40e0d94c61408c7b4948971d78f4  ./libreswan-3.18.tar.gz
+889358a9f4cf072b270f5260b258a775  ./libreswan.pkg
+38c747ef8b5e5540dffa79d24701dd8e  ./libreswan.SlackBuild
+af5b6de2d2ca32082f33cc643bcc5d6e  ./libreswan.SlackBuild.log.gz
+fe6e06b11db12940987cc2010b48a71e  ./libreswan.tar.gz
Index: npl/internetserver/libreswan/libreswan.version
===================================================================
--- npl/internetserver/libreswan/libreswan.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/libreswan/libreswan.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-4.6
+3.18
Index: npl/internetserver/libreswan/root/etc/postinst.d/post.libreswan_binary
===================================================================
--- npl/internetserver/libreswan/root/etc/postinst.d/post.libreswan_binary	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,6 +1,0 @@
-#!/bin/bash
-
-#just restart it
-svcrestart /service/ipsec 
-
-exit 0
